Get all payroll components and component groups
get
/hcmRestApi/resources/11.13.18.05/payrollComponentsAndComponentGroups
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds payroll components and component groups with the specified primary key.
Finder Variables- DeductionTypeId; integer; Primary key value of the deduction type identifier.
- findByDeductionType Finds payroll components and component groups that match the specified deduction type.
Finder Variables- DeductionTypeId; integer; Search by deduction type identifier.
- findByLdg Finds payroll components and component groups that match the specified LDG.
Finder Variables- LegislativeDataGroupId; integer; Search by LDG ID
- PrimaryKey Finds payroll components and component groups with the specified primary key.
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- BaseDeductionTypeId; integer; Unique identifier of the base deduction type of the payroll component or component group.
- BaseName; string; Base name of the payroll component or component group.
- CreatedBy; string; User who created the payroll component or component group.
- CreationDate; string; The date when the payroll component or component group was created.
- DeductionCode; string; Code that identifies the deduction for the payroll component or component group.
- DeductionGroupId; integer; Unique identifier of the deduction group of the payroll component or component group.
- DeductionTypeId; integer; Unique identifier of the deduction type of the payroll component or component group.
- DisplaySequence; integer; Sequence that controls the display order of the payroll component or component group.
- LastUpdateDate; string; The date when the payroll component or component group was last updated.
- LastUpdateLogin; string; Last login to update the payroll component or component group.
- LastUpdatedBy; string; User who last updated the payroll component or component group.
- LegislationCode; string; Code that identifies the legislation of the payroll component or component group.
- LegislativeDataGroupId; integer; Unique identifier of the legislative data group of the payroll component or component group.
- ModuleId; string; Unique identifier of the module of the payroll component or component group.
- Name; string; Name of the payroll component or component group.
- ObjectVersionNumber; integer; Version number of the payroll component or component group.
- SeedStatus; string; Status of the predefined record of the payroll component or component group.
- UseAllTaxUnits; string; Indicates whether all tax reporting units are used.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payrollComponentsAndComponentGroups
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-item-response
Type:
Show Source
object-
BaseDeductionTypeId: integer
(int64)
Title:
Global DeductionUnique identifier of the base deduction type of the payroll component or component group. -
BaseName: string
Maximum Length:
240Base name of the payroll component or component group. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the payroll component or component group. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the payroll component or component group was created. -
DeductionCode: string
Title:
Short NameMaximum Length:240Code that identifies the deduction for the payroll component or component group. -
DeductionContextUsageRest: array
Deduction Context Usage
Title:
Deduction Context UsageThe DeductionContextUsageRest resource provides access to deduction context usage -
DeductionElementTypeRestD: array
Deduction Element Type
Title:
Deduction Element TypeThe DeductionElementTypeRestD resource provides access to deduction element type. -
DeductionGroupId: integer
(int64)
Title:
Component GroupUnique identifier of the deduction group of the payroll component or component group. -
DeductionGroupRest: array
Deduction Group
Title:
Deduction GroupThe DeductionGroupRest resourceProvides access to deduction group. -
DeductionReportUseRest: array
Deduction Report Use
Title:
Deduction Report UseThe DeductionReportUseRest resource provides access to deduction report use. -
DeductionTypeId: integer
(int64)
Unique identifier of the deduction type of the payroll component or component group.
-
DisplaySequence: integer
(int64)
Title:
Sequence in Component GroupSequence that controls the display order of the payroll component or component group. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the payroll component or component group was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the payroll component or component group. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last login to update the payroll component or component group. -
LegislationCode: string
Title:
CountryMaximum Length:30Code that identifies the legislation of the payroll component or component group. -
LegislationDiscriminator: string
Title:
CountryRead Only:trueValue that distinguishes the legislation context of the payroll component or component group. -
LegislativeDataGroupId: integer
(int64)
Title:
Legislative Data GroupUnique identifier of the legislative data group of the payroll component or component group. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ModuleId: string
Maximum Length:
32Unique identifier of the module of the payroll component or component group. -
Name: string
Title:
NameMaximum Length:240Name of the payroll component or component group. -
ObjectVersionNumber: integer
(int32)
Version number of the payroll component or component group.
-
SeedStatus: string
Maximum Length:
1Status of the predefined record of the payroll component or component group. -
UseAllTaxUnits: string
Title:
All tax reporting unitsMaximum Length:30Default Value:trueIndicates whether all tax reporting units are used.
Nested Schema : Deduction Context Usage
Type:
arrayTitle:
Deduction Context UsageThe DeductionContextUsageRest resource provides access to deduction context usage
Show Source
Nested Schema : Deduction Element Type
Type:
arrayTitle:
Deduction Element TypeThe DeductionElementTypeRestD resource provides access to deduction element type.
Show Source
Nested Schema : Deduction Group
Type:
arrayTitle:
Deduction GroupThe DeductionGroupRest resourceProvides access to deduction group.
Show Source
Nested Schema : Deduction Report Use
Type:
arrayTitle:
Deduction Report UseThe DeductionReportUseRest resource provides access to deduction report use.
Show Source
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionContextUsageRest-item-response
Type:
Show Source
object-
ContextId: integer
(int64)
Title:
ReferenceUnique identifier of the context of the deduction context usage. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the deduction context usage. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the deduction context usage was created. -
DeductionContextUsageId: integer
(int64)
Unique identifier of the deduction context usage.
-
DeductionTypeId: integer
(int64)
Unique identifier of the deduction type of the deduction context usage.
-
DirCardCOMPDefiId: integer
(int64)
Unique identifier of the calculation card component definition of the deduction context usage.
-
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the deduction context usage. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last login to update the deduction context usage. -
LegislationCode: string
Maximum Length:
30Code that identifies the legislation of the deduction context usage. -
LegislativeDataGroupId: integer
(int64)
Unique identifier of the legislative data group of the deduction context usage.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ModuleId: string
Maximum Length:
32Unique identifier of the module. - NavigationUse: string
-
ObjectVersionNumber: integer
(int32)
Version number of the deduction context usage.
-
SeedStatus: string
Maximum Length:
1Status of the predefined record of the deduction context usage. -
Sequence: integer
(int64)
Title:
SequenceDefault Value:1Sequence number for deduction context usage. -
SGUID: string
Maximum Length:
32Unique identifier for the deduction context usage. -
SpecialPurpose: string
Maximum Length:
30Special purpose of the deduction context usage. -
UsageType: string
Maximum Length:
30Default Value:CType of usage for the deduction context usage.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : payrollComponentsAndComponentGroups-DeductionElementTypeRestD-item-response
Type:
Show Source
object-
BaseDeductionTypeId: integer
(int64)
Read Only:
trueUnique identifier of the base deduction type. -
BaseName: string
Read Only:
trueMaximum Length:240Name of the base deduction type. -
ClassificationName: string
Read Only:
trueMaximum Length:120Classification name of the element type in payroll component. -
DeductionCode: string
Read Only:
trueMaximum Length:240Code that identifies the deduction element type. -
DeductionGroupId: integer
(int64)
Read Only:
trueUnique identifier of the deduction group of the deduction element type. -
DeductionTypeId: integer
(int64)
Read Only:
trueUnique identifier of the deduction type of the deduction element type. -
DeductionTypeIdEO: integer
(int64)
Read Only:
trueUnique identifier of the deduction type. -
DefaultingFormulaId: integer
(int64)
Read Only:
trueUnique identifier of the defaulting formula of the deduction element type. -
Description: string
Read Only:
trueMaximum Length:240Text that describes the deduction element type. -
EffectiveEndDate: string
(date)
Read Only:
trueThe date when the deduction element type ends. -
EffectiveStartDate: string
(date)
Read Only:
trueThe date when the deduction element type starts. -
ElementName: string
Read Only:
trueMaximum Length:80Name of the element of the deduction element type. -
ElementTypeId: integer
(int64)
Read Only:
trueUnique identifier of the element type of the deduction element type. -
EndingTimeDefId: integer
(int64)
Read Only:
trueUnique identifier of the ending time definition of the deduction element type. -
LegislationCode: string
Read Only:
trueMaximum Length:30Code that identifies the legislation. -
LegislationCodeEO: string
Read Only:
trueMaximum Length:30Code that identifies the legislation of the deduction element type. -
LegislativeDataGroupId: integer
(int64)
Read Only:
trueUnique identifier of the legislative data group of the deduction element type. -
LegislativeDataGroupIdEO: integer
(int64)
Read Only:
trueUnique identifier of the legislative data group of the deduction element type. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueVersion number of the deduction element type. -
ObjectVersionNumberEO: integer
(int32)
Read Only:
trueVersion number of the deduction element type. -
SystemEffectiveDate: string
(date)
System effective data of the deduction element type.
-
ValidationFormulaId: integer
(int64)
Read Only:
trueUnique identifier of the validation formula of the deduction element type. -
ValidationOverrideMessage: string
Read Only:
trueMaximum Length:30Validation override message of the deduction element type.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionGroupRest-item-response
Type:
Show Source
object-
BaseDeductionGroupId: integer
(int64)
Unique identifier of the base deduction group.
-
BaseName: string
Title:
NameMaximum Length:240Name of the base deduction group. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the deduction group. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the deduction group was created. -
DeductionGroupId: integer
(int64)
Unique identifier of the deduction group.
-
DeductionGroupIdForFk: integer
(int64)
Read Only:
trueUnique identifier of the deduction group foreign key. -
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the deduction group was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the deduction group. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Sign in used for the last update. -
LegislationCode: string
Title:
CountryMaximum Length:30Code that identifies the legislation of the deduction group. -
LegislativeDataGroupId: integer
Read Only:
trueUnique identifier of the legislative data group of the deduction group. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ModuleId: string
Maximum Length:
32Unique identifier of the module of the deduction group. -
Name: string
Title:
Component GroupMaximum Length:240Name of the deduction group. -
ObjectVersionNumber: integer
(int32)
Version number of the deduction group record.
-
SeedStatus: string
Maximum Length:
1Status of the predefined deduction group.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : payrollComponentsAndComponentGroups-DeductionReportUseRest-item-response
Type:
Show Source
object-
DednReportUseId: integer
(int64)
Unique identifier of the deduction report use.
-
DeductionTypeId: integer
(int64)
Unique identifier of the deduction type of the deduction report.
-
Editable: string
Read Only:
trueDefault Value:YType of action for assigned payroll such as add, edit or transfer. -
LegislativeDataGroupId: integer
(int64)
Unique identifier of the legislative data group of the deduction report.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ObjectVersionNumber: integer
(int32)
Read Only:
trueVersion number of the deduction report use record. -
RowEditable: string
Type of action for assigned payroll such as add, edit or transfer.
-
TaxUnitId: integer
(int64)
Title:
NameUnique identifier of the tax reporting unit of the deduction report.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source